define [
  'jquery',
  '<%= javascript_path("templates/hosts/layouts/modules") %>'
], ($, Template, RowDropdownLayout, Exploit) ->
  class ModulesLayout extends Backbone.Marionette.LayoutView
    template: HandlebarsTemplates['hosts/layouts/modules']

    initialize: ({@host_id}) =>

    hostModulesURL: => "/hosts/#{@host_id}/exploits"

    onRender: ->
      @_loadTable()

    _loadTable: ->
      $.get(@hostModulesURL(), (data) =>
        $('.modules', @el).html(data)
        $(@el).trigger('tabload')
      )
